Ubuntu

Crash during playback with CPU time limit error

Reported by Philipp Wolfer on 2008-06-04
98
This bug affects 13 people
Affects Status Importance Assigned to Milestone
PulseAudio
Confirmed
Undecided
Unassigned
Nominated for Trunk by Grambo
pulseaudio (Fedora)
Invalid
Unknown
pulseaudio (Ubuntu)
Low
Daniel T Chen
Nominated for Hardy by Abelardo Jara-Berrocal
Nominated for Intrepid by Janne Julkunen
Nominated for Karmic by Alexander Pokluda

Bug Description

Binary package hint: pulseaudio

During playback pulseaudio sometimes crashes with the following error message:

philipp@aineko:~$ pulseaudio
W: pid.c: Stale PID file, overwriting.
ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL front:0
ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL front:0
Soft CPU time limit exhausted, terminating.
Hard CPU time limit exhausted, terminating forcibly.
Aborted

The crashes are random and not reproduceable. So far I've only experienced the crashes during playback with Quod Libet. I can't say for sure, but it looks as if the crashes occur only under a certain load.

What other info can I provide, to help pinning this down?

Tapsiturtle (tapsiturtle) wrote :

Hi,

i have the same problem. If i listen to music or watch a movie or have nothing running that uses the sound output, pulseaudio crashes. With the same Message:

Soft CPU time limit exhausted, terminating.
Hard CPU time limit exhausted, terminating forcibly.
Aborted

OS: Ubuntu 8.04 x32_64
Kernel: 2.6.24-18-generic
Soundcard: HDA-Intel

MmmmJoel (jmajka) wrote :

I get the same problem, except mine even crashes without any playback.

ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL front:1
Soft CPU time limit exhausted, terminating.
joel@tux:~$

Sebastian Breier (tomcat42) wrote :

This is at least related (maybe duplicate) of Bug 221038.

Philipp Wolfer (phw) wrote :

The crashing normally happens during playpack to me. So far I've not experienced any crashes without playback, but I've music running most of the time so this is maybe not representative.

Manlypain (manlypain) wrote :

I am running 8.04 64bit

As part of my testing i upgraded to the intrepid packages as a test and it still crashes (http://ubuntuforums.org/showpost.php?p=5587712&postcount=472). Might it be an ALSA crash and not a PulseAudio problem? I have no idea why it crashes. Mine never crashes if i don't run any sounds. If i play music sometimes i can go a long time before it crashes and other times it fairly quick.

perroazul (perroazull) wrote :

my system crashes when I try to open several music files at the same time for example (or when I use several applications that have some kind of sound output (i.e. firefox playing a video and totem playing an mp3). It is solved if in sound preferences I change all the options to ALSA instead of pulseaudio) but then the system loses the ability of doing sound mixing. (I'm watching a video in firefox but then if I open a file in totem, I can't hear anything)

Martin Vysny (vyzivus) wrote :

I have a fully upgraded 64bit intrepid and I can confirm this. I have Intel HDA Audio, too, the kernel's 2.6.27-4-generic #1 SMP; pulseaudio version is 0.9.10-2ubuntu6, alsa version 1.0.17-0ubuntu2. I can confirm that the bug occurs pretty randomly, however in my case, running proprietary flash plugin seems to kill the pulseaudio server fairly reliably. Pulseaudio output:

$ pulseaudio &
vyzivus@chii:~$ W: ltdl-bind-now.c: Failed to find original dlopen loader.
W: pid.c: Stale PID file, overwriting.
W: main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
W: main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL surround51:0
ALSA lib control.c:909:(snd_ctl_open_noupdate) Invalid CTL front:0
Soft CPU time limit exhausted, terminating.
Hard CPU time limit exhausted, terminating forcibly.

Martin Vysny (vyzivus) wrote :

I tried to set logging verbosity to max (4-debug), but there's no hint on why this error occurs. It just starts taking 100% cpu and then terminates.

Changed in pulseaudio:
status: Unknown → Confirmed
Changed in pulseaudio:
status: Confirmed → Invalid
Philipp Wolfer (phw) on 2008-10-20
Changed in pulseaudio:
status: Invalid → Unknown
Changed in pulseaudio:
status: Unknown → Confirmed
Changed in pulseaudio:
status: Confirmed → In Progress
Philipp Wolfer (phw) wrote :

I have not experienced this anymore since I upgraded to Intrepid despite listening to music all the time.

Also occurs for me even on Ubuntu Intrepid.

pulseaudio is 0.9.10-2ubuntu9, alsa is 1.0.17.dfsg-2ubuntu1, running on kernel 2.6.27-7-generic on a x86_64 machine.

It seems to occur when I have a paused amarok, and a paused mplayer and pops randomly.

I keep a running terminal with the command "pulseaudio --log-target=syslog" and only get :

Soft CPU time limit exhausted, terminating.
Hard CPU time limit exhausted, terminating forcibly.

Andrei Ghimus (ghimus) wrote :

Happens to me as well under hardy 64.
The correlation I found is with the wireless link being utilised/stopped/started etc.
Never had this problem before I started trying to connect an ipod touch my laptop's wireless card via ad-hoc mode.
Also, it's reproducible 100% (on my system at least) by unloading the iwl4965 module from the kernel: "modprobe -r iwl4965" and pulseaudio takes a dive.

Hardware is a linux-friendly xps m1530 ( bought before the official ubuntu version, but manually configured with the same hardware )

Ryan (ryan-delaney) wrote :

Just checking in, saying I have this problem also. I run a lot of apps with wine but I'm not sure if it wine or flash (or neither). All I know is pulseaudio crashes with this error and I have to restart it manually.

Here's my setup: http://www.alsa-project.org/db/?f=93d7e7e1129175628e802422de652c4419a92e7a

Daniel T Chen (crimsun) on 2009-01-07
Changed in pulseaudio:
importance: Undecided → Low
status: New → Confirmed
Changed in pulseaudio:
status: Unknown → New

I have the problem only when 'default-sample-channels' in /etc/pulse/daemon.conf is not equal to 2
my config:
interpid 64bit
Audigy 2 ZS with / without onboard-sound

Ville Ranki (ville-ranki) wrote :

I have the same problem after upgrading to Intrepid. Sound card is 82801G (ICH7 Family).

Changed in pulseaudio:
status: New → Confirmed
Daniel T Chen (crimsun) on 2009-03-04
Changed in pulseaudio:
assignee: nobody → crimsun
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 0.9.14-0ubuntu11

---------------
pulseaudio (0.9.14-0ubuntu11) jaunty; urgency=low

  [ Daniel T Chen ]
  * Reenable 0030_set_tsched0.patch, which re-disables glitch-free;
    too many users are reporting regressions and audio aberrations.
  * Adjust 0003_change_resample_and_buffering.patch to use linear
    resampler to work better with lack of PREEMPT in jaunty's
    -generic kernel config (LP: #207135, #322250, #332761, #335955,
    LP: #336965).
  * Last upload, specifically 0091_workaround_alsa_horkage, fixes:
    LP: #235990, #237443, #279847, #317997, #323185, #330814,
    LP: #334874.
  * sudo -H change in ubuntu6 fixed LP: #312505.
  * Closing old bugs fixed in 0.9.11+: LP: #187963, #193520, #211052.
  * Refresh 0006_regen-autotools.patch.
  * Add 0043_load_sample_dir_lazy.patch to cache
    /usr/share/sounds/ubuntu/stereo/* in default.pa.
  * debian/:
    - control: Build against libcap2-dev (LP: #339448);
    - copyright: Update copyright from Debian's 0.9.14-2;
    - rules: Add DEB_OPT_FLAG = -O3 as per recommendation from
      pulseaudio-discuss/2007-December/001017.html.
  * Refresh fixes from git HEAD:
    - 0038_handle_errno_properly.patch,
    - 0091_workaround_alsa_horkage.patch,
    - 0092_fix_null_pointer_access.patch.

  [ Luke Yelavich ]
  * Add a special case to prevent Pulseaudio from being started when the
    blindness accessibility profile has been enabled from the Ubuntu live CD,
    and for an accessibility install. Unfortunately Pulseaudio and speech do
    not currently work very well with each other, and its too late in
    the cycle to solve this problem any other way.

 -- Luke Yelavich <email address hidden> Tue, 10 Mar 2009 09:00:40 +1100

Changed in pulseaudio:
status: Fix Committed → Fix Released
Ville Ranki (ville-ranki) wrote :

Any chance of backporting this to Intrepid? I know Jaunty is close, but this is pretty annoying bug. It also crashes Rhythmbox and happens several times in a day.

Also sincerely a humble opinion, I think this BUG is a MAJOR DISCOMFORT for Ubuntu users, I am user of Hardy and I try to promote its usage in several friends laptops, but most of them are having this problem.

I dont think this should be considered a "low" importance bug.

Can you please backport this to Hardy Huron, thanks so much.

We really this bug to be solved also in Hardy (remember it is a LTS, long time)
Congratulations and thanks for your great help.

Ville Ranki (ville-ranki) wrote :

I think this happens much more often nowadays. I can't watch a single youtube video without pulseaudio crashing. It's also worth mentioning that this also kills ALL applications using pulseaudio (firefox, rhythmbox, etc) so it really should be fixed also in Hardy and Intrepid. This would be a reason for me to change to another distribution unless i'd need Ubuntu for work.

Pavel Petchko (thunderquiet27) wrote :

Seems to have gone away for me after updating F9 to the 2.6.27 kernel

Changed in pulseaudio:
importance: Unknown → Undecided
status: Confirmed → New
Jonathan Austin (mailforwho) wrote :

I'd love this fix to be backported, it is a real functionality killer for me!

Sebastian Breier (tomcat42) wrote :

Who: Backported to what release?

Backported to Hardy this is a great problem I am trying to install Ubuntu Hardy (because it is LONG TIME SUPPORT) and in all machines with Intel sound cards there is this problem, everything else works great, and I am trying to promote Ubuntu as much as possible between my friends, but this thing is bad.

Pulseaudio keeps dying with this message of this bug.

My asoundrc is: (I modified to have software microphone gain because if not it is not possible to record, volume is super low.

</home/abelardo/.asoundrc.asoundconf>

pcm.!default { type pulse }
ctl.!default { type pulse }
pcm.pulse {
    type asym
    playback.pcm {
        type pulse
    }
    #software gain upto 45dB for digital microphone
    capture.pcm {
        type softvol
        slave.pcm "hw:0,0"
        #slave.pcm "pulse0"
        control {
            name "+50dB Mic Capture Volume"
            card 0
        }
        max_dB 45.0
    }
}
ctl.pulse { type pulse }

Other files are not modified, but pulseaudio keeps dying from time to time with that message. Please helppppppp

This is not a low importance problem, even Macromedia has payed us attention with Adoble Flash 64 bits, please help us in Hardy Huron to solve this problem, my sound card is snd_hda_intel, please help. Backport this correction to Hardy :)

Changed in pulseaudio (Ubuntu):
status: Fix Released → Incomplete

Please help us, this is a serious problem, most users have this problem in Ubuntu Hardy but they dont know that problem is caused by Pulseaudio and they keep giving undtermined bug reports in other topics, reason is that they dont know how to run Pulseaudio as pulseaudio -D -vv

Ludovico Cavedon (cavedon) wrote :

Abelardo: "Incomplete" means that more inform is needed. The correct statys is "Fix Released". See https://wiki.ubuntu.com/Bugs/Status

If you want the fix be backported, "Nominate it for release".

Changed in pulseaudio (Ubuntu):
status: Incomplete → Fix Released

Thanks Ludovico, I have done so. Please if somebody can help us. This bug kills pulseaudio everyday and it is hard to be having to restart pulseaudio 4 times per day.

Fixed, I switched to OSS4, and I dont have any word, it is so awesome, sorry guys, but it is much superior than Pulseaudio and Alsa, I just can play sounds and it does not have any trouble and even Skype, works out of the box (static OSS version).

OSS4 was the solution to my problems. Pulse is always breaking up, locking up. With Pulse, ALSA or just OSS I've never been able to get Voice (VoIP) inside Second Life.
I've been running OSS4 for a couple of weeks now with any glitches.. superb... 100%. Faster and lighter than pulse, it made possible to use Voice in Second Life (usually won't work without hardware mixing in the audio chip/board) and I can run VLC, Firefox, Amarok, Second Life (and streaming and Voice inside SL) all at the same time with impecable quality.

To everybody with this problem I suggest you strongly, change to OSS4 (now it is GPLed).

https://help.ubuntu.com/community/OpenSound

I suggest you to use the mercurial way (download source code and compile it), after this, no more problems with Skype not working, Quake crashing, Wine crashing, everything crashed pulseaudio with the error reported above.

Changed in pulseaudio:
status: New → Confirmed
Changed in pulseaudio (Fedora):
status: In Progress → Invalid
Ville Ranki (ville-ranki) wrote :

The bug still exists in Jaunty. I just had to restart pulseaudio 2 times due to E: cpulimit.c: Received request to terminate due to CPU overload.

On Wed, May 13, 2009 at 9:51 AM, Ville Ranki <email address hidden> wrote:
> The bug still exists in Jaunty. I just had to restart pulseaudio 2 times
> due to E: cpulimit.c: Received request to terminate due to CPU overload.

Note that you can adjust daemon.conf (resampling - try trivial or
ffmpeg, and fragments) and client.conf (autospawn) to suit your needs.

I sincerely dont know why these bug is being completely and systematically ignored by bug trackers in Ubuntu. It is pretty annoying bug. Hardy has it, Intrepid much much better, Jaunty has it again. Can somebody has mercy and backport it to Hardy?

I just keep looking developers completely ignoring solving this problem for Hardy too. I have actively motivating using Ubuntu at my university (U of Florida) but when people keep seeing this bug.

Also importance is not low, it is audio, we have audio in all multimedia applications. So with all respect, i think this is does not make sense.

Daniel T Chen (crimsun) wrote :

On Wed, May 13, 2009 at 11:33 AM, Abelardo Jara-Berrocal
<email address hidden> wrote:
> I sincerely dont know why these bug is being completely and
> systematically ignored by bug trackers in Ubuntu. It is pretty annoying
> bug. Hardy has it, Intrepid much much better, Jaunty has it again. Can
> somebody has mercy and backport it to Hardy?

It has already been backported by enterprising people. You can search
Ubuntuforums or ppas.

However, it cannot go into 8.04, because it requires upgrades across
the entire audio stack.

Ludo6431 (lacoste) wrote :

pulseaudio give me the same error in jaunty, what's up ?

Alexander Pokluda (apokluda) wrote :

I am still experiencing this problem in Ubuntu Jaunty as well. I've included more information about the problem that I'm seeing on bug #221038 (https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/221038)

Changed in pulseaudio (Ubuntu):
status: Fix Released → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:0.9.22~0.9.21+341-g62bf-0ubuntu1

---------------
pulseaudio (1:0.9.22~0.9.21+341-g62bf-0ubuntu1) lucid; urgency=low

  * New snapshot based on stable-queue git branch (testing requested
    specifically by upstream)
    - LP: #164745, #173212, #201391, #204536, #207796, #210016, #221038,
    - LP: #226342, #230408, #236423, #237443, #250059, #269585, #274304,
    - LP: #274577, #275474, #277532, #277566, #277932, #278025, #280534,
    - LP: #283049, #286816, #287036, #292732, #298011, #298301, #300290,
    - LP: #302038, #311497, #311853, #324062, #339448, #344057, #348979,
    - LP: #350829, #356206, #367379, #367544, #369822, #371897, #374846,
    - LP: #375570, #381801, #399515, #402950, #403786, #408169, #409322,
    - LP: #409723, #410326, #410446, #417695, #417976, #419271, #421072,
    - LP: #422774, #423979, #424655, #425028, #427016, #431072, #432660,
    - LP: #437640, #437996, #442191, #443306, #443389, #446719, #449762,
    - LP: #455417, #461532, #464652, #483191, #497537, #503780
  * debian/patches/:
    + add: 0099-change-configure-git-version-tag.patch: Match released
           upstream 0.9.21 for shlibs and LIBPULSE_VERSION_INFO
    - drop: 0004-set-tsched0.patch (no longer relevant)
            0050-revert-pacmd-poll-argv.patch (no longer relevant)
            0056-dont-bail-on-sound-class-modem.patch (merged)
            0056-ignore-sound-class-modem.patch (merged)
            0058-Backport-4c793.patch (merged)
            0059-Backport-978d3.patch (merged)
            0060-fix-implicit-func-decl-cpu-arm.patch (merged)
            0061-Backport-c5fdb.patch (merged)
            0070-dont-bail-on-sound-class-modem-devs.patch (merged)
    + refresh: 0001-change-resample-and-buffering.patch
               0090-disable-flat-volumes.patch
               0091-dont-load-cork-music-on-phone.patch
               0057-load-module-x11-bell.patch
 -- Daniel T Chen <email address hidden> Thu, 14 Jan 2010 20:33:05 -0500

Changed in pulseaudio (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.